<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__hw__v1_8c" kind="file" language="C++">
    <compoundname>cy_crypto_core_hw_v1.c</compoundname>
    <includes local="yes" refid="cy__crypto__core__hw__v1_8h">cy_crypto_core_hw_v1.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a9be5684c7461cee54a12a2573b815b90" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_SetReg1Instr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t data0)</argsstring>
        <name>Cy_Crypto_SetReg1Instr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data0</declname>
        </param>
        <briefdescription>
<para>Writes one 32-Bit data word into Crypto FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data0</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R0. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="62" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a8064ff151c646007ded1bb05ec4225e6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_SetReg2Instr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t data0, uint32_t data1)</argsstring>
        <name>Cy_Crypto_SetReg2Instr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data1</declname>
        </param>
        <briefdescription>
<para>Writes two 32-Bit data words into Crypto FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data0</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R0.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data1</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R1. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="95" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1ab57c426107ca4b84c936d49b51516cac" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_SetReg3Instr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t data0, uint32_t data1, uint32_t data2)</argsstring>
        <name>Cy_Crypto_SetReg3Instr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data1</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data2</declname>
        </param>
        <briefdescription>
<para>Writes three 32-Bit data words into Crypto FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data0</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R0.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data1</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R1.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data2</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be be placed into Crypto FIFO on the address CRYPTO_REGFILE_R2. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="134" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="119" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a97a12485ed539a2c938d21ce647bc2ef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_SetReg4Instr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t data0, uint32_t data1, uint32_t data2, uint32_t data3)</argsstring>
        <name>Cy_Crypto_SetReg4Instr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data1</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data2</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data3</declname>
        </param>
        <briefdescription>
<para>Writes four 32-Bit data words into Crypto FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data0</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R0.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data1</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R1.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data2</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R2.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data3</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of data to be placed into Crypto FIFO on the address CRYPTO_REGFILE_R3. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="179" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="162" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1ac6f6055da89250887b4a1ecfc8726dd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Run0ParamInstr</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t instr)</argsstring>
        <name>Cy_Crypto_Run0ParamInstr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>instr</declname>
        </param>
        <briefdescription>
<para>Run the Crypto instruction without parameters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The Opcode of the called instruction. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="194" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="194" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a8d837a6ceb6135ef48e78ec2a354a41a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Run1ParamInstr</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t instr, uint32_t rdst0Shift)</argsstring>
        <name>Cy_Crypto_Run1ParamInstr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>instr</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst0Shift</declname>
        </param>
        <briefdescription>
<para>Run the Crypto instruction with one parameter. </para>        </briefdescription>
        <detaileddescription>
<para>The parameter must be placed into register 0</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The Opcode of the called instruction.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst0Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the instruction operand. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="230" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="221" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a5ef4b4187954b855025c5069298184fa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Run2ParamInstr</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t instr, uint32_t rdst0Shift, uint32_t rdst1Shift)</argsstring>
        <name>Cy_Crypto_Run2ParamInstr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>instr</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst0Shift</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst1Shift</declname>
        </param>
        <briefdescription>
<para>Run the Crypto instruction with two parameters. </para>        </briefdescription>
        <detaileddescription>
<para>The zero parameter must be placed into register 0, the first parameter must be placed into register 1.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The Opcode of the called instruction.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst0Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the zero instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst1Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the second instruction operand. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="266" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="253" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="253" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a3872562dae5cb5a030e30b00b86c0197" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Run3ParamInstr</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t instr, uint8_t rdst0Shift, uint8_t rdst1Shift, uint8_t rdst2Shift)</argsstring>
        <name>Cy_Crypto_Run3ParamInstr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>instr</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>rdst0Shift</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>rdst1Shift</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>rdst2Shift</declname>
        </param>
        <briefdescription>
<para>Run the Crypto instruction with three parameters. </para>        </briefdescription>
        <detaileddescription>
<para>The zero parameter must be placed into register 0, the first parameter must be placed into register 1, the second parameter must be placed into register 2.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The Opcode of the called instruction.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst0Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the zero instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst1Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the second instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst2Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the second instruction operand. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="308" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="293" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="293" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hw__v1_8c_1a3629d6124c7bf385da9f4cb985761268" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Run4ParamInstr</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t instr, uint32_t rdst0Shift, uint32_t rdst1Shift, uint32_t rdst2Shift, uint32_t rdst3Shift)</argsstring>
        <name>Cy_Crypto_Run4ParamInstr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>instr</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst0Shift</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst1Shift</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst2Shift</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rdst3Shift</declname>
        </param>
        <briefdescription>
<para>Run the Crypto instruction with four parameters. </para>        </briefdescription>
        <detaileddescription>
<para>The zero parameter must be placed into register 0, the first parameter must be placed into register 1, the second parameter must be placed into register 2, the third parameter must be placed into register 3.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The Opcode of the called instruction.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst0Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the zero instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst1Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the first instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst2Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the second instruction operand.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rdst3Shift</parametername>
</parameternamelist>
<parameterdescription>
<para>The shift for the third instruction operand. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="356" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" bodystart="339" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" line="339" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the source code for the HAL API for the in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_SetReg1Instr</highlight></codeline>
<codeline lineno="39"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="51"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_SetReg1Instr(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />data0)</highlight></codeline>
<codeline lineno="52"><highlight class="normal">{</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />(CY_CRYPTO_INSTR_FIFODEPTH<sp />-<sp />1u))</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)CY_CRYPTO_V1_SET_REG1_OPC<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)CY_CRYPTO_REGFILE_R0);</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data0;</highlight></codeline>
<codeline lineno="62"><highlight class="normal">}</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="65"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_SetReg2Instr</highlight></codeline>
<codeline lineno="66"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="82"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_SetReg2Instr(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />data0,<sp />uint32_t<sp />data1)</highlight></codeline>
<codeline lineno="83"><highlight class="normal">{</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />2<sp />instructions<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />(CY_CRYPTO_INSTR_FIFODEPTH<sp />-<sp />2u))</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)CY_CRYPTO_V1_SET_REG2_OPC<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC4_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)CY_CRYPTO_REGFILE_R0);</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data0;</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data1;</highlight></codeline>
<codeline lineno="95"><highlight class="normal">}</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="98"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_SetReg3Instr</highlight></codeline>
<codeline lineno="99"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="119"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_SetReg3Instr(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />data0,<sp />uint32_t<sp />data1,<sp />uint32_t<sp />data2)</highlight></codeline>
<codeline lineno="120"><highlight class="normal">{</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />3<sp />instructions<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />(CY_CRYPTO_INSTR_FIFODEPTH<sp />-<sp />3u))</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(<sp />((uint32_t)CY_CRYPTO_V1_SET_REG3_OPC<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R2<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC8_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC4_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)CY_CRYPTO_REGFILE_R0<sp />);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data0;</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data1;</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data2;</highlight></codeline>
<codeline lineno="134"><highlight class="normal">}</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_SetReg4Instr</highlight></codeline>
<codeline lineno="138"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="162"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_SetReg4Instr(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />data0,<sp />uint32_t<sp />data1,<sp />uint32_t<sp />data2,<sp />uint32_t<sp />data3)</highlight></codeline>
<codeline lineno="163"><highlight class="normal">{</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />4<sp />instructions<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />(CY_CRYPTO_INSTR_FIFODEPTH<sp />-<sp />4u))</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)CY_CRYPTO_V1_SET_REG4_OPC<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R3<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC12_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R2<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC8_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />CY_CRYPTO_RSRC4_SHIFT)<sp />|</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)CY_CRYPTO_REGFILE_R0);</highlight></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data0;</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data1;</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data2;</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />data3;</highlight></codeline>
<codeline lineno="179"><highlight class="normal">}</highlight></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="182"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Run0ParamInstr</highlight></codeline>
<codeline lineno="183"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="194"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Run0ParamInstr(CRYPTO_Type<sp />*base,<sp />uint8_t<sp />instr)</highlight></codeline>
<codeline lineno="195"><highlight class="normal">{</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />CY_CRYPTO_INSTR_FIFODEPTH)</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)((uint32_t)instr<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS);</highlight></codeline>
<codeline lineno="202"><highlight class="normal">}</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="205"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Run1ParamInstr</highlight></codeline>
<codeline lineno="206"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="221"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Run1ParamInstr(CRYPTO_Type<sp />*base,<sp />uint8_t<sp />instr,<sp />uint32_t<sp />rdst0Shift)</highlight></codeline>
<codeline lineno="222"><highlight class="normal">{</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />CY_CRYPTO_INSTR_FIFODEPTH)</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)instr<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R0<sp />&lt;&lt;<sp />rdst0Shift));</highlight></codeline>
<codeline lineno="230"><highlight class="normal">}</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="233"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Run2ParamInstr</highlight></codeline>
<codeline lineno="234"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="253"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Run2ParamInstr(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />instr,</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst0Shift,</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst1Shift)</highlight></codeline>
<codeline lineno="257"><highlight class="normal">{</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />CY_CRYPTO_INSTR_FIFODEPTH)</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="262"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)instr<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />rdst1Shift)<sp />|</highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R0<sp />&lt;&lt;<sp />rdst0Shift));</highlight></codeline>
<codeline lineno="266"><highlight class="normal">}</highlight></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="269"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Run3ParamInstr</highlight></codeline>
<codeline lineno="270"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="293"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Run3ParamInstr(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />instr,</highlight></codeline>
<codeline lineno="295"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />rdst0Shift,</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />rdst1Shift,</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />rdst2Shift)</highlight></codeline>
<codeline lineno="298"><highlight class="normal">{</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />CY_CRYPTO_INSTR_FIFODEPTH)</highlight></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="302"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="303"><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)instr<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="305"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R2<sp />&lt;&lt;<sp />rdst2Shift)<sp />|</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />rdst1Shift)<sp />|</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R0<sp />&lt;&lt;<sp />rdst0Shift));</highlight></codeline>
<codeline lineno="308"><highlight class="normal">}</highlight></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="311"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Run4ParamInstr</highlight></codeline>
<codeline lineno="312"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="339"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Run4ParamInstr(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="340"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />instr,</highlight></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst0Shift,</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst1Shift,</highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst2Shift,</highlight></codeline>
<codeline lineno="344"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rdst3Shift)</highlight></codeline>
<codeline lineno="345"><highlight class="normal">{</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />FIFO<sp />has<sp />enough<sp />space<sp />for<sp />1<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290">Cy_Crypto_Core_GetFIFOUsed</ref>(base)<sp />&gt;=<sp />CY_CRYPTO_INSTR_FIFODEPTH)</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="350"><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_INSTR_FF_WR(base)<sp />=<sp />(uint32_t)(((uint32_t)instr<sp />&lt;&lt;<sp />CY_CRYPTO_OPCODE_POS)<sp />|</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R3<sp />&lt;&lt;<sp />rdst3Shift)<sp />|</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R2<sp />&lt;&lt;<sp />rdst2Shift)<sp />|</highlight></codeline>
<codeline lineno="354"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R1<sp />&lt;&lt;<sp />rdst1Shift)<sp />|</highlight></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((uint32_t)CY_CRYPTO_REGFILE_R0<sp />&lt;&lt;<sp />rdst0Shift));</highlight></codeline>
<codeline lineno="356"><highlight class="normal">}</highlight></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="358"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal">}</highlight></codeline>
<codeline lineno="360"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw_v1.c" />
  </compounddef>
</doxygen>